Get order details
Retrieve detailed information about a specific order by its ID.
Note:These endpoints are currently in beta and might be subject to changes.
If you want to participate and learn more about the Fireblocks Trading, please contact your Fireblocks Customer Success Manager or send an email to CSM@fireblocks.com.
Endpoint Permission: Owner, Admin, Non-Signing Admin, Signer, Approver, Editor, Viewer.
For detailed information about error codes and troubleshooting, please refer to our API Error Codes documentation.
Path Parameters
The ID of the order to fetch.
1Response
Order response
- Option 1
- Option 2
{
"type": "PROVIDER_ACCOUNT",
"providerId": "bridge-provider-001",
"accountId": "acc_9f4e2d8b1c6a5e73"
}CREATED, AWAITING_PAYMENT, PENDING_USER_ACTION, PROCESSING, CANCELED, COMPLETED, FAILED "PROCESSING"
- Option 1
- Option 2
{
"side": "BUY",
"baseAmount": "1000.00",
"baseAssetId": "USDC",
"baseAssetRail": "BLOCKCHAIN",
"quoteAssetId": "BTC",
"quoteAssetRail": "BLOCKCHAIN",
"type": "MARKET"
}Settlement configuration for the order
- Option 1
- Option 2
{
"type": "PREFUNDED",
"destinationAccount": {
"type": "VAULT_ACCOUNT",
"accountId": "vault_acc_9f4e2d8b1c6a5e73"
}
}The ID of the user who created the order
- Option 1
- Option 2
{
"type": "BLOCKCHAIN",
"txHash": "0x1a2b3c4d5e6f7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b",
"amount": "250.75"
}- Option 1
- Option 2
{ "amountType": "FIXED", "amount": "0.01" }KYC/AML participant identification
{
"originator": {
"externalReferenceId": "user_123456",
"entityType": "INDIVIDUAL",
"participantRelationshipType": "FirstParty",
"fullName": { "firstName": "John", "lastName": "Smith" },
"dateOfBirth": "1985-03-15",
"email": "john.smith@example.com",
"phone": "+14155551234",
"postalAddress": {
"streetName": "Main Street",
"buildingNumber": "123",
"postalCode": "10001",
"city": "New York",
"subdivision": "NY",
"district": "Manhattan",
"country": "US"
}
},
"beneficiary": {
"externalReferenceId": "user_789012",
"entityType": "INDIVIDUAL",
"participantRelationshipType": "ThirdParty",
"fullName": {
"firstName": "Alice",
"lastName": "Johnson"
},
"dateOfBirth": "1990-07-22",
"email": "alice.johnson@example.com",
"phone": "+14155551234",
"postalAddress": {
"streetName": "Broadway",
"buildingNumber": "456",
"postalCode": "10002",
"city": "New York",
"subdivision": "NY",
"district": "Manhattan",
"country": "US"
}
}
}Payment instructions for the order, the client can use one of these to pay the order.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
{
"type": "BLOCKCHAIN",
"address": {
"blockchainAddress": "0x1234567890123456789012345678901234567890",
"tag": "1234567890"
}
}Internal reference ID for the customer
Optional note for the Order
512